Межсайтовый скриптинг в Vanilla Forums AboutMe

Дата публикации:
22.05.2012
Дата изменения:
22.05.2012
Всего просмотров:
921
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:M/Au:N/C:N/I:P/A:N/E:U/RL:U/RC:C) = Base:4.3/Temporal:3.7
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Vanilla Forums AboutMe Plugin 1.x
Уязвимые версии: AboutMe дополнение для Vanilla Forums 1.1.1, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в параметрах "AboutMe/RealName", "AboutMe/Name", "AboutMe/Quote", "AboutMe/Loc", "AboutMe/Emp", "AboutMe/JobTit", "AboutMe/HS", "AboutMe/Col", "AboutMe/Bio", "AboutMe/Inter", "AboutMe/Mus", "AboutMe/Gam", "AboutMe/Mov", "AboutMe/FTV", "AboutMe/Bks" в странице "Edit My Details". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: http://vanillaforums.org/addon/aboutme-plugin

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://www.henryhoggard.co.uk/security/183/

или введите имя

CAPTCHA